Subject: Re: [PATCH] Documentation: add platform support policy

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Jul 2024 12:36:57 -0700

Emily Shaffer <[email-masked]> writes:

> ...but this seems harder to keep track of. Where are we remembering
> these "due dates" and remembering to break them on purpose? I'm not
> sure that there's a good way to enforce this.

If you come up with a good way, let me know.  We have a few "test
balloons" in the code base and a due date that allows us to say "now
it is 18 months since this test balloon was raised, and nobody
complained, so we can safely assume that all compilers that matter
to users of this project support this language construct just fine"
would be a wonderful thing to have.